Subject: bug#78737: sit-for behavior changes when byte-compiled

From: Daniel Colascione <[email-masked]>
Date: Tue, 10 Jun 2025 13:46:06 -0700

Stephen Berman <[email-masked]> writes:

> On Tue, 10 Jun 2025 12:34:34 -0700 Daniel Colascione <[email-masked]> wrote:
>
> [...]
>> (It's dancol/quit-improvements2 not dancol/quit-improvements because I
>> can't force-push even to a non-mainline branch.  Shouldn't we allow
>> off-mainline force pushes?)
>
> See admin/notes/repo in the Emacs sources:
>   
>   * feature and scratch branches
>   
>   Besides the master branch, which is where development takes place, and
>   the "emacs-NN" release branches, we also have branches whose names
>   start with "scratch/" and "feature/".  The "feature/" prefix is used
>   for feature branches that are intended to live for some time, while
>   "scratch/" is for one-off throw-away-after-use branches.
>   
>   We do not intend to "git merge" from scratch branches, so force-pushes
>                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>   are tolerated, as well as commits with poor style, incomplete commit
>   ^^^^^^^^^^^^^
>   messages, etc.

I tried git push -f and it literally didn't work. Something about the
remote not supporting fast-forward...

Oh.  The scratch/ is semantically meaningful!  It's not just convention.
I'll keep that in mind next time.  Thanks!

Maybe it's worth requiring that branches have one of these two prefixes?